classification
Title: custom comparison function for bisect module
Type: enhancement Stage:
Components: None Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: rhettinger, splitscreen
Priority: normal Keywords:

Created on 2006-03-31 16:31 by splitscreen, last changed 2008-03-24 08:20 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
libbisect.diff splitscreen, 2006-03-31 19:49 Documentation diff
bisectmodule.diff splitscreen, 2006-04-03 22:39 Updated copy of the patch
Messages (3)
msg54765 - (view) Author: Matt Fleming (splitscreen) Date: 2006-03-31 16:31
This is a patch for the feature requets #1451588

The patch is from the current trunk, r43488.

The patch provides the bisect module (both the python
and C implementation) with an option for a custom
comparison function.

If not custom comparison function is provided the
standard cmp() built-in function it used.

Please review, any comments welcome.

matt
msg54766 - (view) Author: Matt Fleming (splitscreen) Date: 2006-04-03 22:39
Logged In: YES 
user_id=1126061

Jonathan Joseph kindly pointed out some redundant if
statements to me.

I've updated the patch with a newer version.

Matt
msg64400 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-03-24 08:20
Thank you for the patch but must close due the rejection of the 
original RFE.
History
Date User Action Args
2008-03-24 08:20:31rhettingersetstatus: open -> closed
resolution: rejected
messages: + msg64400
2006-03-31 16:31:41splitscreencreate